﻿$ErrorActionPreference = 'Stop';

$url64 = 'https://github.com/denoland/deno/releases/download/v0.28.1/deno_win_x64.zip'
$checksum64 = '2300d8e7c431596ac93223bf523e1e5c7ad8da5286fb4d586544cba8ba82ff9218644f713120044c6bc4bf987be04a4faecc4f23ef35db5190a2587ea3e97350'
$checksumType64 = 'sha512'
$UnzipLocation = Join-Path $env:ChocolateyInstall (Join-Path 'lib' $env:ChocolateyPackageName)
Install-ChocolateyZipPackage -PackageName $env:ChocolateyPackageName -Url64 $url64 -UnzipLocation $UnzipLocation -CheckSum64 $checksum64 -CheckSumType64 $checksumType64
Write-Output "Run 'deno --help' to get started"
